Debian Bug report logs - #481485
linux-image-2.6.25-2-686: nVidia driver fails to compile due to active Xen support

version graph

Package: nvidia-kernel-source; Maintainer for nvidia-kernel-source is Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>; Source for nvidia-kernel-source is src:nvidia-graphics-drivers.

Reported by: Paulo Silva <pjs@eurotux.com>

Date: Fri, 16 May 2008 12:54:01 UTC

Severity: serious

Merged with 481161, 482305, 482991

Fixed in version nvidia-graphics-drivers/169.12-2

Done: Randall Donald <rdonald@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#481485; Package linux-image-2.6.25-2-686. Full text and rfc822 format available.

Acknowledgement sent to Paulo Silva <pjs@eurotux.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paulo Silva <pjs@eurotux.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.25-2-686: nVidia driver fails to compile due to active Xen support
Date: Fri, 16 May 2008 13:50:24 +0100
Package: linux-image-2.6.25-2-686
Version: 2.6.25-3
Severity: important


After upgrading to debian kernel 2.6.25 the compilation fo the nVidia
driver (from nvidia-kernel-source package) fails saying it's a Xen
kernel.

Xen appears to be active in the "normal"
(linux-image-2.6.25-2-686) kernel:

$ grep XEN /boot/config-2.6.25-2-686 
CONFIG_XEN=y
CONFIG_XEN_BLKDEV_FRONTEND=m
CONFIG_XEN_NETDEV_FRONTEND=m
CONFIG_HVC_XEN=y

I'm not sure if this is a kernel packaging issue or a
nvidia-kernel-source package issue but with kernel 2.6.24-1-686 the same
didn't happen.

-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686-bigmem (SMP w/1 CPU core)
Locale: LANG=pt_PT.UTF-8, LC_CTYPE=pt_PT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.25-2-686 depends on:
ii  debconf [debconf-2.0]         1.5.22     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92a      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

Versions of packages linux-image-2.6.25-2-686 recommends:
ii  libc6-i686                    2.7-10     GNU C Library: Shared libraries [i

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#481485; Package linux-image-2.6.25-2-686. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 481485@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Paulo Silva <pjs@eurotux.com>, 481485@bugs.debian.org
Subject: Re: Bug#481485: linux-image-2.6.25-2-686: nVidia driver fails to compile due to active Xen support
Date: Fri, 16 May 2008 15:26:43 +0200
reassign 481485 nvidia-kernel-source
severity 481485 serious
thanks

On Fri, May 16, 2008 at 01:50:24PM +0100, Paulo Silva wrote:
> After upgrading to debian kernel 2.6.25 the compilation fo the nVidia
> driver (from nvidia-kernel-source package) fails saying it's a Xen
> kernel.

This is incorrect. It have Xen support enabled but is no special Xen
kernel. This is a bug in nvidia-kernel-source, reassigning.

Bastian

-- 
Those who hate and fight must stop themselves -- otherwise it is not stopped.
		-- Spock, "Day of the Dove", stardate unknown




Bug reassigned from package `linux-image-2.6.25-2-686' to `nvidia-kernel-source'. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Fri, 16 May 2008 13:30:06 GMT) Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Fri, 16 May 2008 13:30:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#481485; Package nvidia-kernel-source. Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #19 received at 481485@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: 481485@bugs.debian.org
Subject: workaround for the Xen test, but nvidia fails anyway
Date: Sat, 17 May 2008 12:12:39 +0100
[Message part 1 (text/plain, inline)]
Setting the IGNORE_XEN_PRESENCE environment variable disables the check,
but then the build fails anyway. Sigh.
        
        $ IGNORE_XEN_PRESENCE=1 fakeroot debian/rules binary_modules KSRC=/lib/modules/2.6.25-2-686/build KVERS=2.6.25-2-686
        # select which makefile to use.
        rm -f /home/sam/src/modules/new/modules/nvidia-kernel/nv/Makefile || true
        if [ 6 = 6  ]; then \
        	     cd /home/sam/src/modules/new/modules/nvidia-kernel/nv ; \
        	     ln -s Makefile.kbuild Makefile ; \
        	     cd .. ; \
        	fi
        if [  6 = 4  ]; then \
        	     cd /home/sam/src/modules/new/modules/nvidia-kernel/nv ; \
        	     ln -s Makefile.nvidia Makefile ; \
        	     cd .. ; \
        	fi
        if ! gcc-4.1 -v 2> /dev/null  ; then \
        	   echo "Compiler gcc-4.1 does not exist on the system" ; \
        	   exit 1; \
        	fi   
        if [ -f /home/sam/src/modules/new/modules/nvidia-kernel/debian/control.template ]; then \
        		cp  /home/sam/src/modules/new/modules/nvidia-kernel/debian/control.template /home/sam/src/modules/new/modules/nvidia-kernel/debian/control; \
        	fi
        if [ "i686" = "x86_64" ]; then \
        		cp /home/sam/src/modules/new/modules/nvidia-kernel/nv-kernel.o.x86_64 /home/sam/src/modules/new/modules/nvidia-kernel/nv/nv-kernel.o ; \
        	fi   
        touch configure-stamp
        dh_testdir
        dh_testroot
        PATCHLEVEL = 6 
        Kernel compiler version : 4.1.2
        Detected compiler version : 4.1.2
        Using compiler gcc-4.1 version 4.1.2
        touch /home/sam/src/modules/new/modules/nvidia-kernel/nv/gcc-check
        touch /home/sam/src/modules/new/modules/nvidia-kernel/nv/cc-sanity-check
        ## Main Make ##
        IGNORE_CC_MISMATCH=1 CC="gcc-4.1" /usr/bin/make -C /home/sam/src/modules/new/modules/nvidia-kernel/nv -f Makefile SYSSRC=/lib/modules/2.6.25-2-686/build   KBUILD_PARAMS="-C /lib/modules/2.6.25-2-686/build SUBDIRS=/home/sam/src/modules/new/modules/nvidia-kernel/nv" module;
        make[1]: Entering directory `/home/sam/src/modules/new/modules/nvidia-kernel/nv'
        NVIDIA: calling KBUILD...
        make CC=gcc-4.1 -C /lib/modules/2.6.25-2-686/build SUBDIRS=/home/sam/src/modules/new/modules/nvidia-kernel/nv modules
        make[2]: Entering directory `/usr/src/linux-headers-2.6.25-2-686'
          CC [M]  /home/sam/src/modules/new/modules/nvidia-kernel/nv/nv.o
        In file included from include/linux/list.h:8,
                         from include/linux/preempt.h:11,
                         from include/linux/spinlock.h:49,
                         from include/linux/seqlock.h:29,
                         from include/linux/time.h:8,
                         from include/linux/timex.h:57,
                         from include/linux/sched.h:54,
                         from include/linux/utsname.h:35,
                         from /home/sam/src/modules/new/modules/nvidia-kernel/nv/nv-linux.h:19,
                         from /home/sam/src/modules/new/modules/nvidia-kernel/nv/nv.c:14:
        include/linux/prefetch.h: In function ‘prefetch_range’:
        include/linux/prefetch.h:57: warning: pointer of type ‘void *’ used in arithmetic
        In file included from include/asm/dma-mapping_32.h:5,
                         from include/asm/dma-mapping.h:2,
                         from include/linux/dma-mapping.h:52,
                         from include/asm-generic/pci-dma-compat.h:7,
                         from include/asm/pci.h:90,
                         from include/linux/pci.h:945,
                         from /home/sam/src/modules/new/modules/nvidia-kernel/nv/nv-linux.h:86,
                         from /home/sam/src/modules/new/modules/nvidia-kernel/nv/nv.c:14:
        include/linux/scatterlist.h: In function ‘sg_virt’:
        include/linux/scatterlist.h:199: warning: pointer of type ‘void *’ used in arithmetic
        In file included from /home/sam/src/modules/new/modules/nvidia-kernel/nv/nv-linux.h:109,
                         from /home/sam/src/modules/new/modules/nvidia-kernel/nv/nv.c:14:
        include/linux/highmem.h: In function ‘zero_user_segments’:
        include/linux/highmem.h:134: warning: pointer of type ‘void *’ used in arithmetic
        include/linux/highmem.h:134: warning: pointer of type ‘void *’ used in arithmetic
        include/linux/highmem.h:134: warning: pointer of type ‘void *’ used in arithmetic
        include/linux/highmem.h:134: warning: pointer of type ‘void *’ used in arithmetic
        include/linux/highmem.h:137: warning: pointer of type ‘void *’ used in arithmetic
        include/linux/highmem.h:137: warning: pointer of type ‘void *’ used in arithmetic
        include/linux/highmem.h:137: warning: pointer of type ‘void *’ used in arithmetic
        include/linux/highmem.h:137: warning: pointer of type ‘void *’ used in arithmetic
        In file included from /home/sam/src/modules/new/modules/nvidia-kernel/nv/nv.c:14:
        /home/sam/src/modules/new/modules/nvidia-kernel/nv/nv-linux.h:112:23: error: asm/maddr.h: No such file or directory
        In file included from /home/sam/src/modules/new/modules/nvidia-kernel/nv/nv-linux.h:113,
                         from /home/sam/src/modules/new/modules/nvidia-kernel/nv/nv.c:14:
        include/xen/interface/memory.h: At top level:
        include/xen/interface/memory.h:32: error: expected specifier-qualifier-list before ‘GUEST_HANDLE’
        include/xen/interface/memory.h:53: warning: data definition has no type or storage class
        include/xen/interface/memory.h:53: warning: type defaults to ‘int’ in declaration of ‘DEFINE_GUEST_HANDLE_STRUCT’
        include/xen/interface/memory.h:53: warning: parameter names (without types) in function declaration
        include/xen/interface/memory.h:89: error: expected specifier-qualifier-list before ‘GUEST_HANDLE’
        include/xen/interface/memory.h:97: warning: data definition has no type or storage class
        include/xen/interface/memory.h:97: warning: type defaults to ‘int’ in declaration of ‘DEFINE_GUEST_HANDLE_STRUCT’
        include/xen/interface/memory.h:97: warning: parameter names (without types) in function declaration
        include/xen/interface/memory.h:107: error: expected specifier-qualifier-list before ‘domid_t’
        include/xen/interface/memory.h:120: warning: data definition has no type or storage class
        include/xen/interface/memory.h:120: warning: type defaults to ‘int’ in declaration of ‘DEFINE_GUEST_HANDLE_STRUCT’
        include/xen/interface/memory.h:120: warning: parameter names (without types) in function declaration
        include/xen/interface/memory.h:129: error: expected specifier-qualifier-list before ‘domid_t’
        include/xen/interface/memory.h:143: warning: data definition has no type or storage class
        include/xen/interface/memory.h:143: warning: type defaults to ‘int’ in declaration of ‘DEFINE_GUEST_HANDLE_STRUCT’
        include/xen/interface/memory.h:143: warning: parameter names (without types) in function declaration
        /home/sam/src/modules/new/modules/nvidia-kernel/nv/nv.c: In function ‘nv_kern_open’:
        /home/sam/src/modules/new/modules/nvidia-kernel/nv/nv.c:2025: error: implicit declaration of function ‘HYPERVISOR_memory_op’
        make[3]: *** [/home/sam/src/modules/new/modules/nvidia-kernel/nv/nv.o] Error 1
        make[2]: *** [_module_/home/sam/src/modules/new/modules/nvidia-kernel/nv] Error 2
        make[2]: Leaving directory `/usr/src/linux-headers-2.6.25-2-686'
        NVIDIA: left KBUILD.
        nvidia.ko failed to build!
        make[1]: *** [module] Error 1
        make[1]: Leaving directory `/home/sam/src/modules/new/modules/nvidia-kernel/nv'
        make: *** [build-stamp] Error 2
        

-- 
Sam Morris
http://robots.org.uk/

PGP key id 1024D/5EA01078
3412 EA18 1277 354B 991B  C869 B219 7FDB 5EA0 1078
[signature.asc (application/pgp-signature, inline)]

Merged 481161 481485. Request was from Fredrik Olofsson <frol@hupp.se> to control@bugs.debian.org. (Mon, 19 May 2008 08:23:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#481485; Package nvidia-kernel-source. Full text and rfc822 format available.

Acknowledgement sent to Marco Amadori <amadorim@vdavda.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #26 received at 481485@bugs.debian.org (full text, mbox):

From: Marco Amadori <amadorim@vdavda.com>
To: 481485@bugs.debian.org
Subject: Quick and dirty working bad ugly hack
Date: Mon, 19 May 2008 10:24:26 +0200
Until we wait for a new packages, this works for 2.6.25-2 :

$ cd /usr/src
$ su
# grep  CONFIG_XEN modules/ -Rl | xargs -i 
sed -i -e 's/CONFIG_XEN/CONFIG_LUPO/g' {}
# IGNORE_XEN_PRESENCE=1 m-a -tO a-i nvidia -l 2.6.25-2-686

I know it is really ugly and little tested, but seems to work, at least on my 
system.

-- 
ESC:wq

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.





Forcibly Merged 481161 481485 482305. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sun, 25 May 2008 21:05:15 GMT) Full text and rfc822 format available.

Reply sent to Randall Donald <rdonald@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Paulo Silva <pjs@eurotux.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 481485-close@bugs.debian.org (full text, mbox):

From: Randall Donald <rdonald@debian.org>
To: 481485-close@bugs.debian.org
Subject: Bug#481485: fixed in nvidia-graphics-drivers 169.12-2
Date: Mon, 26 May 2008 02:17:06 +0000
Source: nvidia-graphics-drivers
Source-Version: 169.12-2

We believe that the bug you reported is fixed in the latest version of
nvidia-graphics-drivers, which is due to be installed in the Debian FTP archive:

nvidia-glx-dev_169.12-2_amd64.deb
  to pool/non-free/n/nvidia-graphics-drivers/nvidia-glx-dev_169.12-2_amd64.deb
nvidia-glx-ia32_169.12-2_amd64.deb
  to pool/non-free/n/nvidia-graphics-drivers/nvidia-glx-ia32_169.12-2_amd64.deb
nvidia-glx_169.12-2_amd64.deb
  to pool/non-free/n/nvidia-graphics-drivers/nvidia-glx_169.12-2_amd64.deb
nvidia-graphics-drivers_169.12-2.diff.gz
  to pool/non-free/n/nvidia-graphics-drivers/nvidia-graphics-drivers_169.12-2.diff.gz
nvidia-graphics-drivers_169.12-2.dsc
  to pool/non-free/n/nvidia-graphics-drivers/nvidia-graphics-drivers_169.12-2.dsc
nvidia-kernel-source_169.12-2_amd64.deb
  to pool/non-free/n/nvidia-graphics-drivers/nvidia-kernel-source_169.12-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 481485@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Randall Donald <rdonald@debian.org> (supplier of updated nvidia-graphics-drivers package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 24 May 2008 19:57:18 -0700
Source: nvidia-graphics-drivers
Binary: nvidia-glx-ia32 nvidia-glx nvidia-glx-dev nvidia-kernel-source
Architecture: source amd64
Version: 169.12-2
Distribution: unstable
Urgency: low
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Changed-By: Randall Donald <rdonald@debian.org>
Description: 
 nvidia-glx - NVIDIA binary Xorg driver
 nvidia-glx-dev - NVIDIA binary Xorg driver development files
 nvidia-glx-ia32 - NVIDIA binary XFree86 4.x driver
 nvidia-kernel-source - NVIDIA binary kernel module source
Closes: 476504 481485
Changes: 
 nvidia-graphics-drivers (169.12-2) unstable; urgency=low
 .
   * Add initial linux-modules-nonfree-2.6 intergration, 2.6.24 only
   * create storage directories for old patches and don't include in binary
     packages.
   * Remove wfb diversion and don't install nvidia's copy.
   * Patch for 2.6.25 support
   * Patch to compile on xen enabled kernels (closes: #476504, #481485)
Checksums-Sha1: 
 153bb9b0e1286b208cfe1c0bad1ed5cd9f913d41 1405 nvidia-graphics-drivers_169.12-2.dsc
 c30be39bcf75d7be8be9a45a4b6ca728812d33f4 96697 nvidia-graphics-drivers_169.12-2.diff.gz
 28079823e874aef289a0885e8fd6207cc6557190 5140834 nvidia-glx-ia32_169.12-2_amd64.deb
 576afc2d3d8abcd6305210182a0e8f2ad81aa12f 6284084 nvidia-glx_169.12-2_amd64.deb
 8649d6d16974b74a7fb89ec07c1ebbc2c4404d00 152344 nvidia-glx-dev_169.12-2_amd64.deb
 e1f3c7c77113d3befd24b76511258d399a1a059b 5039740 nvidia-kernel-source_169.12-2_amd64.deb
Checksums-Sha256: 
 d8a2d075ff572d55f6d089c4f7b31edad2dfff40f0fe9da8976408fa23a35794 1405 nvidia-graphics-drivers_169.12-2.dsc
 d3862b193fe192c0421d4e51dde2d3632827ca4185ee928e9000657e01489935 96697 nvidia-graphics-drivers_169.12-2.diff.gz
 e643de5f91af53ba4ff8a74ec5e32b1508ed85470ece4775e72d365c052758d2 5140834 nvidia-glx-ia32_169.12-2_amd64.deb
 2e76fe587bcbacc9a25b7a0ed087558fb26bebae0ddbad11abb9c8bb9eb7015b 6284084 nvidia-glx_169.12-2_amd64.deb
 4a39b54213db597f7d7130a5dc83527135c067991abeeaa4f77f1aeae5b49298 152344 nvidia-glx-dev_169.12-2_amd64.deb
 9027f0b1d50cbb8c987ae28a4dbd5244008449b9211d6acaedc8450b399a8d0e 5039740 nvidia-kernel-source_169.12-2_amd64.deb
Files: 
 55ac347ebfdf6da4065e1c790dfaadf6 1405 non-free/x11 optional nvidia-graphics-drivers_169.12-2.dsc
 14fb8eb93081718a064cb8ace10cc2eb 96697 non-free/x11 optional nvidia-graphics-drivers_169.12-2.diff.gz
 bfe74e5e08091cf6179e73f932fd3487 5140834 non-free/x11 optional nvidia-glx-ia32_169.12-2_amd64.deb
 3798934cb728aec717ff82156defacd5 6284084 non-free/x11 optional nvidia-glx_169.12-2_amd64.deb
 d748db52f881dbff8ad6dde1a3d31a90 152344 non-free/x11 optional nvidia-glx-dev_169.12-2_amd64.deb
 8ece9457508dd2a9a615dbadf583c08c 5039740 non-free/x11 optional nvidia-kernel-source_169.12-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIOgL/U+6HYGwn3qsRAgfwAJ0XmBKknoyb7AT6PSKq2vQ0RspCjQCgpu6o
zxA6C/8f4Lx38rYkgRZ+TVI=
=7ZQQ
-----END PGP SIGNATURE-----





Reply sent to Randall Donald <rdonald@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Philipp Kolmann <philipp@kolmann.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Randall Donald <rdonald@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to alex <766f6964@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Forcibly Merged 481161 481485 482305 482991. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Mon, 26 May 2008 12:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#481485; Package nvidia-kernel-source. Full text and rfc822 format available.

Acknowledgement sent to packadal <packadal@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #50 received at 481485@bugs.debian.org (full text, mbox):

From: packadal <packadal@gmail.com>
To: 481485@bugs.debian.org
Subject: legacy drivers
Date: Fri, 20 Jun 2008 02:31:05 +0200
[Message part 1 (text/plain, inline)]
Hi, it looks like thge legacy (at leats nvidia-kernel-legacy96xx) are still
suffering from this problem, at least on my machine.
Same kernel (2.6.25-2-686), tried the 'ugly fix' but did'nt worked for me.
Thanks for looking in  to this one :)

-- 
- Always keep in mind that you may be wrong -
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#481485; Package nvidia-kernel-source. Full text and rfc822 format available.

Acknowledgement sent to packadal <packadal@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #55 received at 481485@bugs.debian.org (full text, mbox):

From: packadal <packadal@gmail.com>
To: 481485@bugs.debian.org
Subject: sorry
Date: Fri, 20 Jun 2008 03:00:28 +0200
[Message part 1 (text/plain, inline)]
I tried to install the official nvidia package, and it failed with the same
error : implicit declaration of function global_flush_tlb
Sorry 'bout that.

-- 
- Always keep in mind that you may be wrong -
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#481485; Package nvidia-kernel-source. Full text and rfc822 format available.

Acknowledgement sent to lsorense@csclub.uwaterloo.ca (Lennart Sorensen):
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #60 received at 481485@bugs.debian.org (full text, mbox):

From: lsorense@csclub.uwaterloo.ca (Lennart Sorensen)
To: packadal <packadal@gmail.com>, 481485@bugs.debian.org
Subject: Re: [pkg-nvidia-devel] Bug#481485: legacy drivers
Date: Fri, 20 Jun 2008 09:51:25 -0400
On Fri, Jun 20, 2008 at 02:31:05AM +0200, packadal wrote:
> Hi, it looks like thge legacy (at leats nvidia-kernel-legacy96xx) are still
> suffering from this problem, at least on my machine.
> Same kernel (2.6.25-2-686), tried the 'ugly fix' but did'nt worked for me.
> Thanks for looking in  to this one :)

I wrote a patch to make 96xx compile with 2.6.25.  I don't remember if
Randall released that yet though.

Here is the patch if you want to try manually applying it to the
/usr/src/modules/nvidia-... directory before compiling (tell module
assistant not to extract again using -O I think it is).

First it needs the patch from here:
http://www.nvnews.net/vbulletin/showthread.php?t=110088

Then it needs the patch to fix dealing with xen enabled kernels:
diff -ruN usr/src/nv/conftest.sh usr/src/nv/conftest.sh
--- usr/src/nv/conftest.sh	2008-06-07 11:00:05.000000000 -0400
+++ usr/src/nv/conftest.sh	2008-06-07 11:02:31.000000000 -0400
@@ -1140,62 +1140,7 @@
     ;;
 
     xen_sanity_check)
-        #
-        # Check if the target kernel is a Xen kernel. If so, then exit, since
-        # the driver doesn't currently work with Xen.
-        #
-        RET=1
-        VERBOSE=$6
-        FILE="linux/autoconf.h"
-
-        if [ -n "$IGNORE_XEN_PRESENCE" ]; then
-            exit 0
-        fi
-
-        if [ -f $HEADERS/$FILE -o -f $OUTPUT/include/$FILE ]; then
-            #
-            # We are looking at a configured source tree; verify
-            # that it's not a Xen kernel.
-            #
-            echo "#include <linux/autoconf.h>
-            #ifdef CONFIG_XEN
-            #error CONFIG_XEN defined!!
-            #endif
-            " > conftest$$.c
-
-            $CC $CFLAGS -c conftest$$.c > /dev/null 2>&1
-            rm -f conftest$$.c
-
-            if [ -f conftest$$.o ]; then
-                rm -f conftest$$.o
-                RET=0
-            fi
-        else
-            CONFIG=$HEADERS/../.config
-            if [ -f $CONFIG ]; then
-                if [ -z "$(grep "^CONFIG_XEN=y" $CONFIG)" ]; then
-                    RET=0
-                fi
-            fi
-        fi
-
-        if [ "$RET" != "0" ]; then
-            echo "The kernel you are installing for is a Xen kernel!";
-            echo "";
-            echo "The NVIDIA driver does not currently work on Xen kernels. If ";
-            echo "you are using a stock distribution kernel, please install ";
-            echo "a variant of this kernel without Xen support; if this is a ";
-            echo "custom kernel, please install a standard Linux kernel.  Then ";
-            echo "try installing the NVIDIA kernel module again.";
-            echo "";
-            if [ "$VERBOSE" = "full_output" ]; then
-                echo "*** Failed Xen sanity check. Bailing out! ***";
-                echo "";
-            fi
-            exit 1
-        else
-            exit 0
-        fi
+        exit 0
     ;;
 
     compile_tests)

It compiles and seems to work for me at least.

-- 
Len Sorensen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#481485; Package nvidia-kernel-source. Full text and rfc822 format available.

Acknowledgement sent to packadal <packadal@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #65 received at 481485@bugs.debian.org (full text, mbox):

From: packadal <packadal@gmail.com>
To: "Lennart Sorensen" <lsorense@csclub.uwaterloo.ca>
Cc: 481485@bugs.debian.org
Subject: Re: [pkg-nvidia-devel] Bug#481485: legacy drivers
Date: Sun, 22 Jun 2008 17:21:39 +0200
[Message part 1 (text/plain, inline)]
Thanks for your solution, but i googled it a bit more and found a pathc on
the nvidia official site. Using the IGNORE_XEN_PRESENCE=1 before launching
the nvidia installer it works fine.
Only thing is this solutions does not use a debian package, wich is sad :(
I recently downgraded my kernel due to sound problems, and won't try your
fix anytime soon, sorry.
but really, thanks for your help :)

On Fri, Jun 20, 2008 at 3:51 PM, Lennart Sorensen <
lsorense@csclub.uwaterloo.ca> wrote:

> On Fri, Jun 20, 2008 at 02:31:05AM +0200, packadal wrote:
> > Hi, it looks like thge legacy (at leats nvidia-kernel-legacy96xx) are
> still
> > suffering from this problem, at least on my machine.
> > Same kernel (2.6.25-2-686), tried the 'ugly fix' but did'nt worked for
> me.
> > Thanks for looking in  to this one :)
>
> I wrote a patch to make 96xx compile with 2.6.25.  I don't remember if
> Randall released that yet though.
>
> Here is the patch if you want to try manually applying it to the
> /usr/src/modules/nvidia-... directory before compiling (tell module
> assistant not to extract again using -O I think it is).
>
> First it needs the patch from here:
> http://www.nvnews.net/vbulletin/showthread.php?t=110088
>
> Then it needs the patch to fix dealing with xen enabled kernels:
> diff -ruN usr/src/nv/conftest.sh usr/src/nv/conftest.sh
> --- usr/src/nv/conftest.sh      2008-06-07 11:00:05.000000000 -0400
> +++ usr/src/nv/conftest.sh      2008-06-07 11:02:31.000000000 -0400
> @@ -1140,62 +1140,7 @@
>     ;;
>
>     xen_sanity_check)
> -        #
> -        # Check if the target kernel is a Xen kernel. If so, then exit,
> since
> -        # the driver doesn't currently work with Xen.
> -        #
> -        RET=1
> -        VERBOSE=$6
> -        FILE="linux/autoconf.h"
> -
> -        if [ -n "$IGNORE_XEN_PRESENCE" ]; then
> -            exit 0
> -        fi
> -
> -        if [ -f $HEADERS/$FILE -o -f $OUTPUT/include/$FILE ]; then
> -            #
> -            # We are looking at a configured source tree; verify
> -            # that it's not a Xen kernel.
> -            #
> -            echo "#include <linux/autoconf.h>
> -            #ifdef CONFIG_XEN
> -            #error CONFIG_XEN defined!!
> -            #endif
> -            " > conftest$$.c
> -
> -            $CC $CFLAGS -c conftest$$.c > /dev/null 2>&1
> -            rm -f conftest$$.c
> -
> -            if [ -f conftest$$.o ]; then
> -                rm -f conftest$$.o
> -                RET=0
> -            fi
> -        else
> -            CONFIG=$HEADERS/../.config
> -            if [ -f $CONFIG ]; then
> -                if [ -z "$(grep "^CONFIG_XEN=y" $CONFIG)" ]; then
> -                    RET=0
> -                fi
> -            fi
> -        fi
> -
> -        if [ "$RET" != "0" ]; then
> -            echo "The kernel you are installing for is a Xen kernel!";
> -            echo "";
> -            echo "The NVIDIA driver does not currently work on Xen
> kernels. If ";
> -            echo "you are using a stock distribution kernel, please
> install ";
> -            echo "a variant of this kernel without Xen support; if this is
> a ";
> -            echo "custom kernel, please install a standard Linux kernel.
>  Then ";
> -            echo "try installing the NVIDIA kernel module again.";
> -            echo "";
> -            if [ "$VERBOSE" = "full_output" ]; then
> -                echo "*** Failed Xen sanity check. Bailing out! ***";
> -                echo "";
> -            fi
> -            exit 1
> -        else
> -            exit 0
> -        fi
> +        exit 0
>     ;;
>
>     compile_tests)
>
> It compiles and seems to work for me at least.
>
> --
> Len Sorensen
>



-- 
- Always keep in mind that you may be wrong -
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#481485; Package nvidia-kernel-source. Full text and rfc822 format available.

Acknowledgement sent to intelcat <intelcat@alice.it>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #70 received at 481485@bugs.debian.org (full text, mbox):

From: intelcat <intelcat@alice.it>
To: 481485@bugs.debian.org
Subject: linux-image-2.6.25-2-686: nVidia driver fails to compile due to active Xen support
Date: Sat, 28 Jun 2008 21:45:09 +0200
[Message part 1 (text/plain, inline)]
My hardware:
Asus CUV-4X-DLS
2 PIII 1GHz
4GB RAM
Nvidia Geforce6200
Linux Kernel 2.6.25-2-686
Nvidia driver v.177.13 or anyone from v.1xx.xx from Nvidia Site.
Any installations with options:
~$ export CC=gcc-4.1 or with newer gcc ..and
# export IGNORE_XEN_PRESENCE=1
are failed.
As attachment I send you the 2 log files.

Best regards.....Nunzio


[gcc4.1_nvidia-installer.log (text/plain, inline)]
nvidia-installer log file '/var/log/nvidia-installer.log'
creation time: Sat Jun 28 20:47:29 2008
installer version: 1.0.7

option status:
  license pre-accepted    : false
  update                  : false
  force update            : false
  expert                  : false
  uninstall               : false
  driver info             : false
  precompiled interfaces  : true
  no ncurses color        : false
  query latest version    : false
  OpenGL header files     : true
  no questions            : false
  silent                  : false
  no recursion            : false
  no backup               : false
  kernel module only      : false
  sanity                  : false
  add this kernel         : false
  no runlevel check       : false
  no network              : false
  no ABI note             : false
  no RPMs                 : false
  no kernel module        : false
  force SELinux           : default
  no X server check       : false
  no cc version check     : false
  force tls               : (not specified)
  X install prefix        : (not specified)
  X library install path  : (not specified)
  X module install path   : (not specified)
  OpenGL install prefix   : (not specified)
  OpenGL install libdir   : (not specified)
  utility install prefix  : (not specified)
  utility install libdir  : (not specified)
  doc install prefix      : (not specified)
  kernel name             : (not specified)
  kernel include path     : (not specified)
  kernel source path      : (not specified)
  kernel output path      : (not specified)
  kernel install path     : (not specified)
  proc mount point        : /proc
  ui                      : (not specified)
  tmpdir                  : /tmp
  ftp mirror              : ftp://download.nvidia.com
  RPM file list           : (not specified)

Using: nvidia-installer ncurses user interface
-> License accepted.
-> Installing NVIDIA driver version 177.13.
-> No precompiled kernel interface was found to match your kernel; would you li
   ke the installer to attempt to download a kernel interface for your kernel f
   rom the NVIDIA ftp site (ftp://download.nvidia.com)? (Answer: Yes)
-> No matching precompiled kernel interface was found on the NVIDIA ftp site;
   this means that the installer will need to compile a kernel interface for
   your kernel.
-> Performing CC sanity check with CC="gcc-4.1".
-> Performing CC version check with CC="gcc-4.1".
-> Kernel source path: '/lib/modules/2.6.25-2-686-bigmem/build'
-> Kernel output path: '/lib/modules/2.6.25-2-686-bigmem/build'
-> Performing rivafb check.
-> Performing nvidiafb check.
-> Performing Xen check.
-> Cleaning kernel module build directory.
   executing: 'cd ./usr/src/nv; make clean'...
-> Building kernel module:
   executing: 'cd ./usr/src/nv; make module SYSSRC=/lib/modules/2.6.25-2-686-bi
   gmem/build SYSOUT=/lib/modules/2.6.25-2-686-bigmem/build'...
   NVIDIA: calling KBUILD...
   make CC=gcc-4.1  KBUILD_VERBOSE=1 -C /lib/modules/2.6.25-2-686-bigmem/build 
   SUBDIRS=/tmp/selfgz3260/NVIDIA-Linux-x86-177.13-pkg1/usr/src/nv modules
   test -e include/linux/autoconf.h -a -e include/config/auto.conf || (		\
   	echo;								\
   	echo "  ERROR: Kernel configuration is invalid.";		\
   	echo "         include/linux/autoconf.h or include/config/auto.conf are mis
   sing.";	\
   	echo "         Run 'make oldconfig && make prepare' on kernel src to fix it
   .";	\
   	echo;								\
   	/bin/false)
   mkdir -p /tmp/selfgz3260/NVIDIA-Linux-x86-177.13-pkg1/usr/src/nv/.tmp_versio
   ns ; rm -f /tmp/selfgz3260/NVIDIA-Linux-x86-177.13-pkg1/usr/src/nv/.tmp_vers
   ions/*
   make -f scripts/Makefile.build obj=/tmp/selfgz3260/NVIDIA-Linux-x86-177.13-p
   kg1/usr/src/nv
     gcc-4.1 -Wp,-MD,/tmp/selfgz3260/NVIDIA-Linux-x86-177.13-pkg1/usr/src/nv/.n
   v.o.d  -nostdinc -isystem /usr/lib/gcc/i486-linux-gnu/4.1.3/include -D__KERN
   EL__ -Iinclude  -include include/linux/autoconf.h -Wall -Wundef -Wstrict-pro
   totypes -Wno-trigraphs -fno-stri
   ct-aliasing -fno-common -Werror-implicit-function-declaration -Os  -fno-stac
   k-protector -m32 -msoft-float -mregparm=3 -freg-struct-return -mpreferred-st
   ack-boundary=2  -march=i686 -ffreestanding -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI
   _SIGNAL_FRAME=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mno
   -sse -mno-mmx -mno-sse2 -mno-3dnow -Iinclude/asm-x86/mach-default -fomit-fra
   me-pointer -Wdeclaration-after-statement -Wno-pointer-sign   -I/tmp/selfgz32
   60/NVIDIA-Linux-x86-177.13-pkg1/usr/src/nv -Wall -Wimplicit -Wreturn-type -W
   switch -Wformat -Wchar-subscripts -Wparentheses -Wpointer-arith -Wno-multich
   ar -Werror -MD   -Wsign-compare -Wno-cast-qual -Wno-error -D__KERNEL__ -DMOD
   ULE -DNVRM -DNV_VERSION_STRING=\"177.13\" -UDEBUG -U_DEBUG -DNDEBUG  -DMODUL
   E -D"KBUILD_STR(s)=#s" -D"KBUILD_BASENAME=KBUILD_STR(nv)"  -D"KBUILD_MODNAME
   =KBUILD_STR(nvidia)" -c -o /tmp/selfgz3260/NVIDIA-Linux-x86-177.13-pkg1/usr/
   src/nv/.tmp_nv.o /tmp/selfgz3260/NVIDIA-Linux-x86-177.13-pkg1/usr/src/nv/nv.
   c
   In file included from include/linux/list.h:8,
                    from include/linux/preempt.h:11,
                    from include/linux/spinlock.h:49,
                    from include/linux/seqlock.h:29,
                    from include/linux/time.h:8,
                    from include/linux/timex.h:57,
                    from include/linux/sched.h:54,
                    from include/linux/utsname.h:35,
                    from /tmp/selfgz3260/NVIDIA-Linux-x86-177.13-pkg1/usr/src/n
   v/nv-linux.h:19,
                    from /tmp/selfgz3260/NVIDIA-Linux-x86-177.13-pkg1/usr/src/n
   v/nv.c:14:
   include/linux/prefetch.h: In function ‘prefetch_range’:
   include/linux/prefetch.h:57: warning: pointer of type ‘void *’ used in a
   rithmetic
   In file included from include/asm/dma-mapping_32.h:5,
                    from include/asm/dma-mapping.h:2,
                    from include/linux/dma-mapping.h:52,
                    from include/asm-generic/pci-dma-compat.h:7,
                    from include/asm/pci.h:90,
                    from include/linux/pci.h:945,
                    from /tmp/selfgz3260/NVIDIA-Linux-x86-177.13-pkg1/usr/src/n
   v/nv-linux.h:86,
                    from /tmp/selfgz3260/NVIDIA-Linux-x86-177.13-pkg1/usr/src/n
   v/nv.c:14:
   include/linux/scatterlist.h: In function ‘sg_virt’:
   include/linux/scatterlist.h:199: warning: pointer of type ‘void *’ used 
   in arithmetic
   In file included from /tmp/selfgz3260/NVIDIA-Linux-x86-177.13-pkg1/usr/src/n
   v/nv-linux.h:109,
                    from /tmp/selfgz3260/NVIDIA-Linux-x86-177.13-pkg1/usr/src/n
   v/nv.c:14:
   include/linux/highmem.h: In function ‘zero_user_segments’:
   include/linux/highmem.h:134: warning: pointer of type ‘void *’ used in a
   rithmetic
   include/linux/highmem.h:134: warning: pointer of type ‘void *’ used in a
   rithmetic
   include/linux/highmem.h:134: warning: pointer of type ‘void *’ used in a
   rithmetic
   include/linux/highmem.h:134: warning: pointer of type ‘void *’ used in a
   rithmetic
   include/linux/highmem.h:137: warning: pointer of type ‘void *’ used in a
   rithmetic
   include/linux/highmem.h:137: warning: pointer of type ‘void *’ used in a
   rithmetic
   include/linux/highmem.h:137: warning: pointer of type ‘void *’ used in a
   rithmetic
   include/linux/highmem.h:137: warning: pointer of type ‘void *’ used in a
   rithmetic
   In file included from /tmp/selfgz3260/NVIDIA-Linux-x86-177.13-pkg1/usr/src/n
   v/nv.c:14:
   /tmp/selfgz3260/NVIDIA-Linux-x86-177.13-pkg1/usr/src/nv/nv-linux.h:112:23: e
   rror: asm/maddr.h: No such file or directory
   In file included from /tmp/selfgz3260/NVIDIA-Linux-x86-177.13-pkg1/usr/src/n
   v/nv-linux.h:113,
                    from /tmp/selfgz3260/NVIDIA-Linux-x86-177.13-pkg1/usr/src/n
   v/nv.c:14:
   include/xen/interface/memory.h: At top level:
   include/xen/interface/memory.h:32: error: expected specifier-qualifier-list 
   before ‘GUEST_HANDLE’
   include/xen/interface/memory.h:53: warning: data definition has no type or s
   torage class
   include/xen/interface/memory.h:53: warning: type defaults to ‘int’ in de
   claration of ‘DEFINE_GUEST_HANDLE_STRUCT’
   include/xen/interface/memory.h:53: warning: parameter names (without types) 
   in function declaration
   include/xen/interface/memory.h:89: error: expected specifier-qualifier-list 
   before ‘GUEST_HANDLE’
   include/xen/interface/memory.h:97: warning: data definition has no type or s
   torage class
   include/xen/interface/memory.h:97: warning: type defaults to ‘int’ in de
   claration of ‘DEFINE_GUEST_HANDLE_STRUCT’
   include/xen/interface/memory.h:97: warning: parameter names (without types) 
   in function declaration
   include/xen/interface/memory.h:107: error: expected specifier-qualifier-list
   before ‘domid_t’
   include/xen/interface/memory.h:120: warning: data definition has no type or 
   storage class
   include/xen/interface/memory.h:120: warning: type defaults to ‘int’ in d
   eclaration of ‘DEFINE_GUEST_HANDLE_STRUCT’
   include/xen/interface/memory.h:120: warning: parameter names (without types)
   in function declaration
   include/xen/interface/memory.h:129: error: expected specifier-qualifier-list
   before ‘domid_t’
   include/xen/interface/memory.h:143: warning: data definition has no type or 
   storage class
   include/xen/interface/memory.h:143: warning: type defaults to ‘int’ in d
   eclaration of ‘DEFINE_GUEST_HANDLE_STRUCT’
   include/xen/interface/memory.h:143: warning: parameter names (without types)
   in function declaration
   /tmp/selfgz3260/NVIDIA-Linux-x86-177.13-pkg1/usr/src/nv/nv.c: In function â€
   ˜nv_kern_open’:
   /tmp/selfgz3260/NVIDIA-Linux-x86-177.13-pkg1/usr/src/nv/nv.c:2044: error: im
   plicit declaration of function ‘HYPERVISOR_memory_op’
   make[3]: *** [/tmp/selfgz3260/NVIDIA-Linux-x86-177.13-pkg1/usr/src/nv/nv.o] 
   Error 1
   make[2]: *** [_module_/tmp/selfgz3260/NVIDIA-Linux-x86-177.13-pkg1/usr/src/n
   v] Error 2
   NVIDIA: left KBUILD.
   nvidia.ko failed to build!
   make[1]: *** [module] Error 1
   make: *** [module] Error 2
-> Error.
ERROR: Unable to build the NVIDIA kernel module.
ERROR: Installation has failed.  Please see the file
       '/var/log/nvidia-installer.log' for details.  You may find suggestions
       on fixing installation problems in the README available on the Linux
       driver download page at www.nvidia.com.
[nvidia-installer.log (text/plain, inline)]
nvidia-installer log file '/var/log/nvidia-installer.log'
creation time: Sat Jun 28 21:06:39 2008
installer version: 1.0.7

option status:
  license pre-accepted    : false
  update                  : false
  force update            : false
  expert                  : false
  uninstall               : false
  driver info             : false
  precompiled interfaces  : true
  no ncurses color        : false
  query latest version    : false
  OpenGL header files     : true
  no questions            : false
  silent                  : false
  no recursion            : false
  no backup               : false
  kernel module only      : false
  sanity                  : false
  add this kernel         : false
  no runlevel check       : false
  no network              : false
  no ABI note             : false
  no RPMs                 : false
  no kernel module        : false
  force SELinux           : default
  no X server check       : false
  no cc version check     : false
  force tls               : (not specified)
  X install prefix        : (not specified)
  X library install path  : (not specified)
  X module install path   : (not specified)
  OpenGL install prefix   : (not specified)
  OpenGL install libdir   : (not specified)
  utility install prefix  : (not specified)
  utility install libdir  : (not specified)
  doc install prefix      : (not specified)
  kernel name             : (not specified)
  kernel include path     : (not specified)
  kernel source path      : (not specified)
  kernel output path      : (not specified)
  kernel install path     : (not specified)
  proc mount point        : /proc
  ui                      : (not specified)
  tmpdir                  : /tmp
  ftp mirror              : ftp://download.nvidia.com
  RPM file list           : (not specified)

Using: nvidia-installer ncurses user interface
-> License accepted.
-> Installing NVIDIA driver version 177.13.
-> No precompiled kernel interface was found to match your kernel; would you li
   ke the installer to attempt to download a kernel interface for your kernel f
   rom the NVIDIA ftp site (ftp://download.nvidia.com)? (Answer: Yes)
-> No matching precompiled kernel interface was found on the NVIDIA ftp site;
   this means that the installer will need to compile a kernel interface for
   your kernel.
-> Performing CC sanity check with CC="cc".
-> Performing CC version check with CC="cc".
-> The CC version check failed:
   
   The compiler used to compile the kernel (gcc 4.1) does not exactly match the
   current compiler (gcc 4.3).  The Linux 2.6 kernel module loader rejects kern
   el modules built with a version of gcc that does not exactly match that of t
   he compiler used to build the running kernel.
   
   If you know what you are doing and want to ignore the gcc version check, sel
   ect "No" to continue installation.  Otherwise, select "Yes" to abort install
   ation, set the CC environment variable to the name of the compiler used to c
   ompile your kernel, and restart installation.  Abort now? (Answer: No)
-> Kernel source path: '/lib/modules/2.6.25-2-686-bigmem/build'
-> Kernel output path: '/lib/modules/2.6.25-2-686-bigmem/build'
-> Performing rivafb check.
-> Performing nvidiafb check.
-> Performing Xen check.
-> Cleaning kernel module build directory.
   executing: 'cd ./usr/src/nv; make clean'...
-> Building kernel module:
   executing: 'cd ./usr/src/nv; make module SYSSRC=/lib/modules/2.6.25-2-686-bi
   gmem/build SYSOUT=/lib/modules/2.6.25-2-686-bigmem/build'...
   NVIDIA: calling KBUILD...
   make CC=cc  KBUILD_VERBOSE=1 -C /lib/modules/2.6.25-2-686-bigmem/build SUBDI
   RS=/tmp/selfgz3570/NVIDIA-Linux-x86-177.13-pkg1/usr/src/nv modules
   test -e include/linux/autoconf.h -a -e include/config/auto.conf || (		\
   	echo;								\
   	echo "  ERROR: Kernel configuration is invalid.";		\
   	echo "         include/linux/autoconf.h or include/config/auto.conf are mis
   sing.";	\
   	echo "         Run 'make oldconfig && make prepare' on kernel src to fix it
   .";	\
   	echo;								\
   	/bin/false)
   mkdir -p /tmp/selfgz3570/NVIDIA-Linux-x86-177.13-pkg1/usr/src/nv/.tmp_versio
   ns ; rm -f /tmp/selfgz3570/NVIDIA-Linux-x86-177.13-pkg1/usr/src/nv/.tmp_vers
   ions/*
   make -f scripts/Makefile.build obj=/tmp/selfgz3570/NVIDIA-Linux-x86-177.13-p
   kg1/usr/src/nv
     cc -Wp,-MD,/tmp/selfgz3570/NVIDIA-Linux-x86-177.13-pkg1/usr/src/nv/.nv.o.d
    -nostdinc -isystem /usr/lib/gcc/i486-linux-gnu/4.3.1/include -D__KERNEL__ -
   Iinclude  -include include/linux/autoconf.h -Wall -Wundef -Wstrict-prototype
   s -Wno-trigraphs -fno-strict-aliasin
   g -fno-common -Werror-implicit-function-declaration -Os  -fno-stack-protecto
   r -m32 -msoft-float -mregparm=3 -freg-struct-return -mpreferred-stack-bounda
   ry=2  -march=i686 -ffreestanding -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FR
   AME=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mno-sse -mno-
   mmx -mno-sse2 -mno-3dnow -Iinclude/asm-x86/mach-default -fomit-frame-pointer
   -Wdeclaration-after-statement -Wno-pointer-sign   -I/tmp/selfgz3570/NVIDIA-L
   inux-x86-177.13-pkg1/usr/src/nv -Wall -Wimplicit -Wreturn-type -Wswitch -Wfo
   rmat -Wchar-subscripts -Wparentheses -Wpointer-arith -Wno-multichar -Werror 
   -MD   -Wsign-compare -Wno-cast-qual -Wno-error -D__KERNEL__ -DMODULE -DNVRM 
   -DNV_VERSION_STRING=\"177.13\" -UDEBUG -U_DEBUG -DNDEBUG  -DMODULE -D"KBUILD
   _STR(s)=#s" -D"KBUILD_BASENAME=KBUILD_STR(nv)"  -D"KBUILD_MODNAME=KBUILD_STR
   (nvidia)" -c -o /tmp/selfgz3570/NVIDIA-Linux-x86-177.13-pkg1/usr/src/nv/.tmp
   _nv.o /tmp/selfgz3570/NVIDIA-Linux-x86-177.13-pkg1/usr/src/nv/nv.c
   In file included from include/linux/list.h:8,
                    from include/linux/preempt.h:11,
                    from include/linux/spinlock.h:49,
                    from include/linux/seqlock.h:29,
                    from include/linux/time.h:8,
                    from include/linux/timex.h:57,
                    from include/linux/sched.h:54,
                    from include/linux/utsname.h:35,
                    from /tmp/selfgz3570/NVIDIA-Linux-x86-177.13-pkg1/usr/src/n
   v/nv-linux.h:19,
                    from /tmp/selfgz3570/NVIDIA-Linux-x86-177.13-pkg1/usr/src/n
   v/nv.c:14:
   include/linux/prefetch.h: In function ‘prefetch_range’:
   include/linux/prefetch.h:57: warning: pointer of type ‘void *’ used in a
   rithmetic
   In file included from include/asm/dma-mapping_32.h:5,
                    from include/asm/dma-mapping.h:2,
                    from include/linux/dma-mapping.h:52,
                    from include/asm-generic/pci-dma-compat.h:7,
                    from include/asm/pci.h:90,
                    from include/linux/pci.h:945,
                    from /tmp/selfgz3570/NVIDIA-Linux-x86-177.13-pkg1/usr/src/n
   v/nv-linux.h:86,
                    from /tmp/selfgz3570/NVIDIA-Linux-x86-177.13-pkg1/usr/src/n
   v/nv.c:14:
   include/linux/scatterlist.h: In function ‘sg_virt’:
   include/linux/scatterlist.h:199: warning: pointer of type ‘void *’ used 
   in arithmetic
   In file included from /tmp/selfgz3570/NVIDIA-Linux-x86-177.13-pkg1/usr/src/n
   v/nv-linux.h:109,
                    from /tmp/selfgz3570/NVIDIA-Linux-x86-177.13-pkg1/usr/src/n
   v/nv.c:14:
   include/linux/highmem.h: In function ‘zero_user_segments’:
   include/linux/highmem.h:134: warning: pointer of type ‘void *’ used in a
   rithmetic
   include/linux/highmem.h:134: warning: pointer of type ‘void *’ used in a
   rithmetic
   include/linux/highmem.h:134: warning: pointer of type ‘void *’ used in a
   rithmetic
   include/linux/highmem.h:134: warning: pointer of type ‘void *’ used in a
   rithmetic
   include/linux/highmem.h:137: warning: pointer of type ‘void *’ used in a
   rithmetic
   include/linux/highmem.h:137: warning: pointer of type ‘void *’ used in a
   rithmetic
   include/linux/highmem.h:137: warning: pointer of type ‘void *’ used in a
   rithmetic
   include/linux/highmem.h:137: warning: pointer of type ‘void *’ used in a
   rithmetic
   In file included from /tmp/selfgz3570/NVIDIA-Linux-x86-177.13-pkg1/usr/src/n
   v/nv.c:14:
   /tmp/selfgz3570/NVIDIA-Linux-x86-177.13-pkg1/usr/src/nv/nv-linux.h:112:23: e
   rror: asm/maddr.h: No such file or directory
   In file included from /tmp/selfgz3570/NVIDIA-Linux-x86-177.13-pkg1/usr/src/n
   v/nv-linux.h:113,
                    from /tmp/selfgz3570/NVIDIA-Linux-x86-177.13-pkg1/usr/src/n
   v/nv.c:14:
   include/xen/interface/memory.h: At top level:
   include/xen/interface/memory.h:32: error: expected specifier-qualifier-list 
   before ‘GUEST_HANDLE’
   include/xen/interface/memory.h:53: warning: data definition has no type or s
   torage class
   include/xen/interface/memory.h:53: warning: type defaults to ‘int’ in de
   claration of ‘DEFINE_GUEST_HANDLE_STRUCT’
   include/xen/interface/memory.h:53: warning: parameter names (without types) 
   in function declaration
   include/xen/interface/memory.h:89: error: expected specifier-qualifier-list 
   before ‘GUEST_HANDLE’
   include/xen/interface/memory.h:97: warning: data definition has no type or s
   torage class
   include/xen/interface/memory.h:97: warning: type defaults to ‘int’ in de
   claration of ‘DEFINE_GUEST_HANDLE_STRUCT’
   include/xen/interface/memory.h:97: warning: parameter names (without types) 
   in function declaration
   include/xen/interface/memory.h:107: error: expected specifier-qualifier-list
   before ‘domid_t’
   include/xen/interface/memory.h:120: warning: data definition has no type or 
   storage class
   include/xen/interface/memory.h:120: warning: type defaults to ‘int’ in d
   eclaration of ‘DEFINE_GUEST_HANDLE_STRUCT’
   include/xen/interface/memory.h:120: warning: parameter names (without types)
   in function declaration
   include/xen/interface/memory.h:129: error: expected specifier-qualifier-list
   before ‘domid_t’
   include/xen/interface/memory.h:143: warning: data definition has no type or 
   storage class
   include/xen/interface/memory.h:143: warning: type defaults to ‘int’ in d
   eclaration of ‘DEFINE_GUEST_HANDLE_STRUCT’
   include/xen/interface/memory.h:143: warning: parameter names (without types)
   in function declaration
   /tmp/selfgz3570/NVIDIA-Linux-x86-177.13-pkg1/usr/src/nv/nv.c: In function â€
   ˜nv_kern_open’:
   /tmp/selfgz3570/NVIDIA-Linux-x86-177.13-pkg1/usr/src/nv/nv.c:2044: error: im
   plicit declaration of function ‘HYPERVISOR_memory_op’
   make[3]: *** [/tmp/selfgz3570/NVIDIA-Linux-x86-177.13-pkg1/usr/src/nv/nv.o] 
   Error 1
   make[2]: *** [_module_/tmp/selfgz3570/NVIDIA-Linux-x86-177.13-pkg1/usr/src/n
   v] Error 2
   NVIDIA: left KBUILD.
   nvidia.ko failed to build!
   make[1]: *** [module] Error 1
   make: *** [module] Error 2
-> Error.
ERROR: Unable to build the NVIDIA kernel module.
ERROR: Installation has failed.  Please see the file
       '/var/log/nvidia-installer.log' for details.  You may find suggestions
       on fixing installation problems in the README available on the Linux
       driver download page at www.nvidia.com.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#481485; Package nvidia-kernel-source. Full text and rfc822 format available.

Acknowledgement sent to lsorense@csclub.uwaterloo.ca (Lennart Sorensen):
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #75 received at 481485@bugs.debian.org (full text, mbox):

From: lsorense@csclub.uwaterloo.ca (Lennart Sorensen)
To: intelcat <intelcat@alice.it>, 481485@bugs.debian.org
Subject: Re: [pkg-nvidia-devel] Bug#481485: linux-image-2.6.25-2-686: nVidia driver fails to compile due to active Xen support
Date: Wed, 9 Jul 2008 11:36:40 -0400
On Sat, Jun 28, 2008 at 09:45:09PM +0200, intelcat wrote:
> My hardware:
> Asus CUV-4X-DLS
> 2 PIII 1GHz
> 4GB RAM
> Nvidia Geforce6200
> Linux Kernel 2.6.25-2-686
> Nvidia driver v.177.13 or anyone from v.1xx.xx from Nvidia Site.
> Any installations with options:
> ~$ export CC=gcc-4.1 or with newer gcc ..and
> # export IGNORE_XEN_PRESENCE=1
> are failed.
> As attachment I send you the 2 log files.
> 
> Best regards.....Nunzio
> 
> 

> nvidia-installer log file '/var/log/nvidia-installer.log'
> creation time: Sat Jun 28 20:47:29 2008
> installer version: 1.0.7

If you use the nvidia installer you are on your own.  You also cause
package files to be overwritten and will likely have breakage on
upgrades in the future.  Have fun.

If you use the debian packages then we can help.  We already fixed the
xen problem in the debian packages by patching the driver build system.

-- 
Len Sorensen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#481485; Package nvidia-kernel-source. Full text and rfc822 format available.

Acknowledgement sent to Steve Lane <drsteve@rna.berkeley.edu>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #80 received at 481485@bugs.debian.org (full text, mbox):

From: Steve Lane <drsteve@rna.berkeley.edu>
To: 490751@bugs.debian.org, 481485@bugs.debian.org
Cc: debian-kernel@lists.debian.org, Steve Lane <drsteve@turing.berkeley.edu>
Subject: Re: #490751: linux-image-2.6.25-2-686: proprietary NVIDIA module will not install; #481485: nVidia driver fails to compile due to active Xen support
Date: Mon, 21 Jul 2008 17:40:11 -0700
It would be great if the XEN options:

CONFIG_XEN=y
CONFIG_XEN_BLKDEV_FRONTEND=m
CONFIG_XEN_NETDEV_FRONTEND=m
CONFIG_HVC_XEN=y

were turned off in the Debian stock kernel until there is adequate
support for installing the Debian NVIDIA packages (nvidia-kernel-source,
nvidia-kernel-common and nvidia-glx) under testing, given that this is
now the default testing kernel.

Note that instructions similar to the following (available at
http://blog.creonfx.com/linux/how-to-install-nvidia-driver-on-2625-2-debian-kernel-with-xen
and elsewhere):

1. cd /lib/modules/2.6.25-2-686 (or wherever are your modules)
2. grep CONFIG_XEN . -Rl | xargs -i sed -i -e 's/CONFIG_XEN/CONFIG_LUPO/g' {}
3. export IGNORE_XEN_PRESENCE=1
4. sh NVIDIA-Linux-x86-173.08-pkg1.run (or you can use patched 169.12 - http://www.nvnews.net/vbulletin/showthread.php?t=110088 )

do not always work (they didn't for me, nor for several other people
who have reported this problem in various places).

Also note:

The following advice (from bug report 481485):

|- If you use the nvidia installer you are on your own.  You also cause
|- package files to be overwritten and will likely have breakage on
|- upgrades in the future.  Have fun.
|- 
|- If you use the debian packages then we can help.  We already fixed the
|- xen problem in the debian packages by patching the driver build system.

is completely unhelpful (and unappreciated) since, as noted above (and in the 
Debian wiki: http://wiki.debian.org/NvidiaGraphicsDrivers#head-816174f32ba98061bdd68615838ee453646721f1),
the Debian packages won't install in testing.

Thanks for your efforts on our behalf,

--
Steve Lane
System, Network and Security Administrator
Doudna Lab
Biomolecular Structure and Mechanism Group
UC Berkeley





Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#481485; Package nvidia-kernel-source. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #85 received at 481485@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Steve Lane <drsteve@rna.berkeley.edu>
Cc: 490751-done@bugs.debian.org, 481485@bugs.debian.org, debian-kernel@lists.debian.org, Steve Lane <drsteve@turing.berkeley.edu>
Subject: Re: #490751: linux-image-2.6.25-2-686: proprietary NVIDIA module will not install; #481485: nVidia driver fails to compile due to active Xen support
Date: Tue, 22 Jul 2008 09:02:17 +0200
On Mon, Jul 21, 2008 at 05:40:11PM -0700, Steve Lane wrote:
> It would be great if the XEN options:
> 
> CONFIG_XEN=y
> CONFIG_XEN_BLKDEV_FRONTEND=m
> CONFIG_XEN_NETDEV_FRONTEND=m
> CONFIG_HVC_XEN=y
> 
> were turned off in the Debian stock kernel until there is adequate
> support for installing the Debian NVIDIA packages (nvidia-kernel-source,
> nvidia-kernel-common and nvidia-glx) under testing, given that this is
> now the default testing kernel.

*again*
no we won't turn features down for broken proprietary scripts.

it is a pity that nvidia doesn't produce free xorg drivers
http://www.itp.tuwien.ac.at/~mattems/blog/2008/06/25

just fetch the corresponding unstable drivers, they should install
just fine.

best regards

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#481485; Package nvidia-kernel-source. Full text and rfc822 format available.

Acknowledgement sent to Steve Lane <drsteve@rna.berkeley.edu>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #90 received at 481485@bugs.debian.org (full text, mbox):

From: Steve Lane <drsteve@rna.berkeley.edu>
To: maximilian attems <max@stro.at>, 490751@bugs.debian.org, 481485@bugs.debian.org
Cc: Steve Lane <drsteve@rna.berkeley.edu>
Subject: Re: #490751: linux-image-2.6.25-2-686: proprietary NVIDIA module will not install; #481485: nVidia driver fails to compile due to active Xen support
Date: Tue, 22 Jul 2008 13:50:03 -0700
On Tue, Jul 22, 2008 at 10:38:20PM +0200, maximilian attems wrote:
> On Tue, Jul 22, 2008 at 11:09:36AM -0700, Steve Lane wrote:
> > Oops - my bad.  Found the right package:
> > 
> > nvidia-kernel-legacy-96xx-source 
> > 
> > to build the drivers I needed.
> > 
> > Thanks for your help.
> 
> next time please don't forget to cc bug report.
> this is *not* personal communication and could be easily
> be lost in spam or whatever..
> 
> thanks
> 
> -- 
> maks

No worries - I just figured I wouldn't pollute the bug reports any
further, but... either way.

Thanks,

--
Steve Lane
System, Network and Security Administrator
Doudna Lab
Biomolecular Structure and Mechanism Group
UC Berkeley





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 20 Aug 2008 07:25:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:47:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.